.\"	from: @(#)keyinfo.1	1.1 (Bellcore) 7/20/93
.\" $FreeBSD: src/usr.bin/keyinfo/keyinfo.1,v 1.2.2.3 1999/09/05 11:32:27 peter Exp $
.\"
.Dd April 26, 1996
.Dt KEYINFO 1
.Os
.Sh NAME
.Nm keyinfo
.Nd display current S/Key sequence number and seed
.Sh SYNOPSIS
.Nm
.Op Ar username
.Sh DESCRIPTION
.Nm Keyinfo
takes an optional user name and displays the user\'s current sequence
number and seed found in the S/Key database
.Pa /etc/skeykeys .
.Pp
The command can be useful when generating a list of passwords for use
on a field trip, by combining with the command
.Nm key
in the form:
.sp
    > key \-n  <number of passwords> `keyinfo`|lpr
.Sh EXAMPLE
Usage example:
.sp 0
    > keyinfo
.sp 0
    0098 ws91340
.Sh ARGUMENTS
.Bl -tag -width indent
.It Ar username
The S/key user to display the information for.  The default is 
to display S/Key information on the user who invokes the command.
.El
.Sh DIAGNOSTICS
.Nm Keyinfo
exits with status 0 if a key for the requested user has been found,
else with status 1.
.Sh SEE ALSO
.Xr key 1 ,
.Xr keyinit 1
.Sh AUTHORS
Original command by
.An Phil Karn ,
.An Neil M. Haller ,
.An John S. Walden .
Rewritten in Perl by
.ie t J\(:org \%Wunsch
.el Joerg Wunsch
so it can be made setuid, and the S/Key keys file can be read-protected
from the users.
